/* alocacao.c - Funcoes para alocacao basica de memoria */

#include <stdio.h>
#include <alloc.h>
#include <process.h>
#include <stdlib.h>

#include "matriz.h"
#include "alocacao.h"

/*---------------------------------------------------------------------------*\
 | AlocaNodo - Aloca memoria para um nodo da matriz esparsa.                 |
 |                                                                           |
 | recebe - Nada.                                                            |
 |                                                                           |
 | retonra - Um apontador para o nodo.                                       |
\*---------------------------------------------------------------------------*/
Apontador AlocaNodo (void)
{
  Apontador Objeto;

  if((Objeto = malloc (sizeof (TipoCelula))) == NULL)
  {
    printf ("Erro: falta de memoria.\n");
    exit(EXIT_FAILURE);
  }

  Objeto->Direita = Objeto->Abaixo = NULL;
  Objeto->Linha = Objeto->Coluna = 0;
  Objeto->Valor = 0.0;

  return Objeto;
}

